# Cute Animals Company -- TUCTF 2019

For this challenge, there were three parts, each completely separate. The first was a simple cookie challenge. Changing the allowed cookie from the base64 encoded version of false to true resulted in access to `login.php`. This was another SQLi challenge which yielded a single user that after logging in resulted in the third section of the challenge. This was a directory transversal that had one layer of filtering. This meant that every instance of `../` was replaced with nothing. To subvert this, simply nesting `../` worked (`....//` would then result in `../`). To make this more obvious, the string that was sent to the `$_GET[]` was echoed below the search bar. After subverting the directory filtering, an attempt to access `/etc/passwd` would result in the flag.
